<?php require $_SERVER['DOCUMENT_ROOT'].'/hethong/config.php';?>
<?php
$now = time(); 
$id_web = strip_tags($_POST['id_web']);
$giahan = strip_tags($_POST['giahan']);
$api_site = $ketnoi->query("SELECT * FROM `lich_su_tao_web` WHERE `id` = '$id_web' ")->fetch_array();
$api_loai = $ketnoi->query("SELECT * FROM `list_mau_web` WHERE `id` = '".$api_site['loaiweb']."' ")->fetch_array();
$tongtien = $api_loai['gia_han']*$giahan;
$days_to_add =30*$giahan;
$het = $api_site['ngay_het'];
$het += $days_to_add * 24 * 60 * 60;
if($username==""){
$response = array('success' => false, 'message' => 'Đăng nhập để thực hiện tính năng này');
}elseif ($username == '' || $giahan=='') {
$response = array('success' => false, 'message' => 'Vui lòng nhập đầy đủ thông tin');
}elseif($username!=$api_site['username']) {
    $response = array('success' => false, 'message' => 'Bạn không có quyền thực hiện yêu cầu này!');
}elseif($user['money']<$tongtien) {
    $response = array('success' => false, 'message' => 'Số dư trong tài khoản không đủ '.tien($tongtien).'đ, vui lòng nạp thêm');
}else{
        sendTele("Tài Khoản: ".$username." Đã Gia Hạn Web Thành Công Admin Vui Lòng Xem Xét.");
    $checkhost = $ketnoi->query("UPDATE `lich_su_tao_web` SET `ngay_het` = '$het',`status` = 'hoatdong' WHERE `id` = '".$id_web."' ");
        if(isset($checkhost)){
            $newmoney = $user['money']-$tongtien;
            $check_money = $ketnoi->query("UPDATE `users` SET `money` = '$newmoney' WHERE `username` = '".$username."' ");
            if(isset($check_money)&&$check_money>=0){
            $response = array('success' => true);
            }else{
                $response = array('success' => false, 'message' => 'Vui lòng nhập đầy đủ thông tin');
            }
        } 
        else {
            if ($gia_han == 0) {
                $het = $api_host['ngay_het'];
                if ($now < $het) {
                    $status_update = $status;
                } else {
                    $status_update = 'hethan';
                }
            }
        }
}
echo json_encode($response);
?>